clinsolx1.c File Reference
Example

CGSSVX to solve systems with the same matrix but different right-hand side. More...

`#include <getopt.h>`
`#include "slu_cdefs.h"`
Include dependency graph for clinsolx1.c:

## Functions

void | parse_command_line (int argc, char *argv[], int *lwork, float *u, yes_no_t *equil, trans_t *trans)
| Parse command line options to get relaxed snode size, panel size, etc. More...
int | main (int argc, char *argv[])

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

The driver program CLINSOLX1.

This example illustrates how to use CGSSVX to solve systems with the same A but different right-hand side. In this case, we factorize A only once in the first call to DGSSVX, and reuse the following data structures in the subsequent call to CGSSVX: perm_c, perm_r, R, C, L, U.

Here is the call graph for this function:

## parse_command_line()

void parse_command_line | ( | int | argc,
|  | char * | argv[],
|  | int * | lwork,
|  | float * | u,
|  | yes_no_t * | equil,
|  | trans_t * | trans
| ) |  |